/*
** CString.cpp
*/

#ifndef RATTE_CString_H
#define RATTE_CString_H

#include <Application.h>
#include "String.h"

class CString : public BString {
public:
	CString();
	CString( const BString& );
	CString( const char* );
	virtual ~CString();

//	Conversion
	CString( int16, const char *format = "%d" );
	CString( int32, const char *format = "%ld" );
	CString( int64, const char *format = "%Ld" );
	CString( float, const char *format = "%f" );

//	Formating
	CString &Format( const char *format = NULL );

protected:
	virtual void AddToken( const BString &name );

private:
	bool CopyUntilToken();
	bool GetToken();

	int fpos;
	const char *from;
	BString ident;
};

#endif
